Type.registerNamespace("Telerik.Web.UI.Scheduler.Views.Month");
Telerik.Web.UI.Scheduler.Views.Month.Model=function(_1,_2){
this._owner=_1;
this._modelData=Sys.Serialization.JavaScriptSerializer.deserialize(_2);
};
Telerik.Web.UI.Scheduler.Views.Month.Model.prototype={initialize:function(){
},getTimeSlotFromDomElement:function(_3){
var _4=this._getRawIndexFromDomElement(_3);
var _5=this._getTimeFromDomElement(_3);
return new Telerik.Web.UI.Scheduler.Views.Month.TimeSlot(_4,_5);
},_getTimeFromDomElement:function(_6){
var _7=this._getRawIndexFromDomElement(_6);
var _8=new Date(this._modelData.start.getTime());
Telerik.Web.UI.RadScheduler._incrementTime(_8,24*_7.dayIndex,0);
return _8;
},_getRawIndexFromDomElement:function(_9){
while(_9&&(_9.tagName.toUpperCase()!="TD")){
_9=_9.parentNode;
}
if(_9){
var _a=_9.parentNode;
var _b=_a.cells.length;
var _c=_9.cellIndex;
var _d=_a.rowIndex;
return {dayIndex:(_b*_d)+_c};
}
return null;
}};
Telerik.Web.UI.Scheduler.Views.Month.Model.registerClass("Telerik.Web.UI.Scheduler.Views.Month.Model",null,Telerik.Web.UI.ISchedulerModel);
Telerik.Web.UI.Scheduler.Views.Month.TimeSlot=function(_e,_f){
this._rawIndex=_e;
this._startTime=_f;
};
Telerik.Web.UI.Scheduler.Views.Month.TimeSlot.prototype={get_index:function(){
var _10=this.get_rawIndex();
return String.format("{0}",_10.dayIndex);
},get_rawIndex:function(){
return this._rawIndex;
},get_startTime:function(){
return this._startTime;
},get_isAllDay:function(){
return true;
}};
Telerik.Web.UI.Scheduler.Views.Month.TimeSlot.registerClass("Telerik.Web.UI.Scheduler.Views.Month.TimeSlot",null,Telerik.Web.UI.ISchedulerTimeSlot);

